package panelMenu;

import style.icon.Icon;

public class PanelMenu {

	private Icon icon;
	private String width;
	private String mode;
	private String align;
	private String rendered;
	private String iconItemPosition;
	private String iconItemTopPosition;
	private String iconGroupPosition;
	private String iconGroupTopPosition;
	private String tabIndex;
	private String expandMode;
	private String inputText;
	private boolean disabled;
	private boolean expandSingle;
	
	public PanelMenu() {
		width = "500px";
		mode = "none";
		expandMode = "none";
		align = "";
		rendered = "true";
		disabled = false;
		tabIndex = "1";
		iconItemPosition = "left";
		iconItemTopPosition = "left";
		iconGroupPosition = "left";
		iconGroupTopPosition = "left";
		icon = new Icon();

	}
	
	public boolean isDisabled() {
		return disabled;
	}
	public String getWidth() {
		return width;
	}
	public void setWidth(String width) {
		this.width = width;
	}
	public void setDisabled(boolean disabled) {
		this.disabled = disabled;
	}
	public boolean isExpandSingle() {
		return expandSingle;
	}
	public void setExpandSingle(boolean expandSingle) {
		this.expandSingle = expandSingle;
	}
	public String getAlign() {
		return align;
	}
	public void setAlign(String align) {
		this.align = align;
	}
	public String getRendered() {
		return rendered;
	}
	public void setRendered(String rendered) {
		System.out.println(rendered);
		this.rendered = rendered;
	}
	public Icon getIcon() {
		return icon;
	}
	public void setIcon(Icon icon) {
		this.icon = icon;
	}
	public String getIconGroupPosition() {
		return iconGroupPosition;
	}
	public void setIconGroupPosition(String iconGroupPosition) {
		this.iconGroupPosition = iconGroupPosition;
	}
	public String getIconGroupTopPosition() {
		return iconGroupTopPosition;
	}
	public void setIconGroupTopPosition(String iconGroupTopPosition) {
		this.iconGroupTopPosition = iconGroupTopPosition;
	}
	public String getIconItemPosition() {
		return iconItemPosition;
	}
	public void setIconItemPosition(String iconItemPosition) {
		this.iconItemPosition = iconItemPosition;
	}
	public String getIconItemTopPosition() {
		return iconItemTopPosition;
	}
	public void setIconItemTopPosition(String iconItemTopPosition) {
		this.iconItemTopPosition = iconItemTopPosition;
	}

	public String getMode() {
		return mode;
	}
	
	public void setMode(String mode) {
		this.mode = mode;
	}

	public String getTabIndex() {
		return tabIndex;
	}

	public void setTabIndex(String tabIndex) {
		this.tabIndex = tabIndex;
	}

	public String getExpandMode() {
		return expandMode;
	}

	public void setExpandMode(String expandMode) {
		this.expandMode = expandMode;
	}

	public String getInputText() {
		return inputText;
	}

	public void setInputText(String inputText) {
		this.inputText = inputText;
	}
}
